Draft Mirror: Difference between revisions

From FreeCAD Documentation
No edit summary
(Tree_Part.svg -> Part_SimpleCopy.svg)
Line 45: Line 45:


<!--T:12-->
<!--T:12-->
After creating the mirrored copy, its binding with the original object can be removed using the {{Button|[[Image:Tree_Part.svg|16px]] [[Part_SimpleCopy|Part Create simple copy]]}} tool.
After creating the mirrored copy, its binding with the original object can be removed using the {{Button|[[Image:Part_SimpleCopy.svg|16px]] [[Part_SimpleCopy|Part Create simple copy]]}} tool.


<!--T:13-->
<!--T:13-->

Revision as of 11:59, 23 January 2021

Draft Mirror

Menu location
Draft → Mirror
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Scale, Draft Clone

Description

The Draft Mirror tool produces a mirrored copy of a selected object, using the Part Mirror operation. The copy, just like a Draft Clone, is linked to the original object. This means that if the original object changes its shape and properties, the mirrored shape changes as well.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Mirrored object created using a mirroring line

Usage

  1. Select an object that you wish to mirror.
  2. Press the Draft Mirror button. If no object is selected, you will be invited to select one.
  3. Click a first point on the 3D view, or type a coordinate and press the add point button.
  4. Click a second point on the 3D view, or type a coordinate and press the add point button. These points define a line, which together with the camera view, define a mirroring plane that is used to create the mirrored object.

After creating the mirrored copy, its binding with the original object can be removed using the Part Create simple copy tool.

A mirrored copy of a Draft object can be turned into a Draft Wire, by using Draft Downgrade then Draft Upgrade.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Mirror tool will restart after you give the second point, allowing you to put another object without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataSource: specifies the object to mirror,
  • DataBase: specifies the base point of the mirror plane.
  • DataNormal: specifies the normal direction of the mirror plane.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Mirror tool can be used in macros and from the Python console by using the following function:

mirrored_list = mirror(objlist, p1, p2)
  • Creates Part Mirror objects from objlist, which can be a single object or a list of objects.
  • The mirroring plane is defined by the line built with points p1 and p2, and parallel to the current view.
  • mirrored_list is returned with the new objects.
    • mirrored_list is either a single object or a list of objects, depending on the input objlist.

Example:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)